aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-mime-lite/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2011-02-01 23:50:08 +0000
committerLeonardo Arena <rnalrd@gmail.com>2011-02-25 09:50:42 +0000
commit40ed111e8aaff688f75e53a595d9a6acd838beec (patch)
treed1b454effa18bf79b2136eabbc0b43c3866599eb /testing/perl-mime-lite/APKBUILD
parent5a0ea14c70b0bc76ae36f20820004d383730312c (diff)
downloadaports-40ed111e8aaff688f75e53a595d9a6acd838beec.tar.gz
aports-40ed111e8aaff688f75e53a595d9a6acd838beec.tar.bz2
aports-40ed111e8aaff688f75e53a595d9a6acd838beec.tar.xz
testing/perl-mime-lite : low-calorie MIME generator
Diffstat (limited to 'testing/perl-mime-lite/APKBUILD')
-rw-r--r--testing/perl-mime-lite/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/perl-mime-lite/APKBUILD b/testing/perl-mime-lite/APKBUILD
new file mode 100644
index 0000000000..832d5f25f5
--- /dev/null
+++ b/testing/perl-mime-lite/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-mime-lite
+_realname=MIME-Lite
+pkgver=3.027
+pkgrel=0
+pkgdesc="low-calorie MIME generator"
+url="http://search.cpan.org/~rjbs/MIME-Lite-3.027/"
+arch="noarch"
+license="GPL PerlArtistic"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+build() {
+ cd $_builddir
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd $_builddir
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="e857febd66c45f2a5919b031fbe70aa7 MIME-Lite-3.027.tar.gz"